summaryrefslogtreecommitdiffstats
path: root/source/l/opus/opus.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/opus/opus.SlackBuild')
-rwxr-xr-xsource/l/opus/opus.SlackBuild49
1 files changed, 28 insertions, 21 deletions
diff --git a/source/l/opus/opus.SlackBuild b/source/l/opus/opus.SlackBuild
index 54c54d736..5a42dac8e 100755
--- a/source/l/opus/opus.SlackBuild
+++ b/source/l/opus/opus.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2017, 2018, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -85,28 +85,31 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Configure:
-CFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --sysconfdir=/etc \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
--mandir=/usr/man \
- --docdir=/usr/doc/${PKGNAM}-$VERSION \
- --infodir=/usr/info \
- --disable-static \
- --enable-custom-modes \
- --enable-rtcd \
- --enable-intrinsics \
- --enable-ambisonics \
- --build=$ARCH-slackware-linux || exit 1
-
-# Build and install:
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Dcustom-modes=true \
+ -Drtcd=enabled \
+ -Dintrinsics=enabled \
+ -Ddocdir=/usr/doc/opus-$VERSION \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
# Strip binaries:
( cd $PKG
@@ -114,6 +117,10 @@ rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
+# Install man pages:
+mkdir -p $PKG/usr/man/man3
+cp -a meson-build/doc/man/man3/opus*.3 $PKG/usr/man/man3
+
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \